<ng-container *ngIf="filtersLoaded | async; else pending">
  <div class="container-xxl">
    <div class="bg-overlay d-flex align-items-center justify-content-center">
      <div class="text-center">
        <p class="display-4">Welkom op de website van S.V. Onwijs!</p>
        <p class="display-6">De studievereniging van de lerarenopleiding aan de Universiteit Twente</p>
        <button routerLink="/about" class="btn btn-outline-light px-5" routerLinkActive="true">Kom meer te weten
        </button>
      </div>
    </div>
    <div class="jumbotron text-center">
      <div class="container">
        <h1>De Vereniging</h1>
        <p class="lead text-muted">
          Als studievereniging helpen wij onze leden op een verschillende vlakken. Zo hebben studenten de mogelijkheid
          om de studieboeken met korting aan te schaffen via ons. Ook bieden wij interessante en leerzame evenementen
          aan in de vorm van lunchlezingen, excursies en symposia. Verder organiseren wij gezelligheidsactiviteiten om
          de studenten de gelegenheid te geven om hun leuke stageverhalen te delen met elkaar. Zo sluiten wij elk
          kalenderjaar af met een kerstlunch en wordt er elke zomer een barbecue georganiseerd. Naast het bestuur heeft
          S.V. Onwijs nog een aantal kanjers die de vereniging draaide houden: onze actieve leden. Zij hebben zich
          verspreid over de verschillende commissies van S.V. Onwijs, waarover hieronder meer.
        </p>
      </div>
    </div>
    <div class="container-fluid my-5">
      <h1 class="text-center">Aankondigingen</h1>
      <hr>
      <div class="row">
        <div class="col-md-3 my-3" *ngFor="let announcement of announcements.reverse().slice(0, 4);">
          <div class="card h-100">
            <div class="card-body">
              <h5 class="card-title text-center">{{announcement.title}}</h5>
              <hr>
              <div class="row">
                <p class="col card-text">
                  <i class="fa fa-user-o" aria-hidden="true"></i> {{announcement.created_by}}
                </p>
                <p class="col text-right">
                  <i class="fa fa-clock-o" aria-hidden="true"></i>  {{announcement.created_at | date}}
                </p>
              </div>
              <angular-editor class="card-text" [outerHTML]="announcement.content.slice(0, 300) + '...'"
                              [config]="editorConfig"></angular-editor>
            </div>
            <a (click)="openAnnouncementModal(announcementModal, announcement)" class="btn btn-outline-dark btn-sm">
              Lees verder
              <i class="fa fa-arrow-right" aria-hidden="true"></i></a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="container-fluid my-5">
    <h1 class="text-center">Evenementen</h1>
    <hr>
    <full-calendar [options]="calendarOptions"></full-calendar>
  </div>
  <div class="container-fluid my-5">
    <h1 class="text-center">Geassocieerden</h1>
    <hr>
    <div class="container">
      <div class="row">
        <div class="col"><a href="https://www.utwente.nl/nl/lerarenopleidingen/" target="_blank"><img
          class="img-fluid w-100" src="assets/images/UTLogo.png" alt=""></a></div>
        <div class="col"><a href="https://www.knaek.nl/studentenkorting/enschede" target="_blank"><img
          class="img-fluid w-100" src="assets/images/KnaekLogo.png" alt=""></a></div>
      </div>
    </div>
  </div>
</ng-container>

<ng-template #pending>
  <div class="loader"></div>
</ng-template>

<ng-template #announcementModal let-modal>
  <div class="modal-header">
    <h3 class="modal-title">{{announcementForm.controls['title'].value}}</h3>
    <button type="button" class="close" data-dismiss="modal" (click)="modal.dismiss()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="form-group">
      <div class="row">
        <div class="col">
          <i class="fa fa-user-o" aria-hidden="true"></i> {{announcementForm.controls['created_by'].value}}
        </div>
        <div class="col text-right">
          <i class="fa fa-clock-o" aria-hidden="true"></i> {{announcementForm.controls['created_at'].value | date}}
        </div>
      </div>
    </div>
    <div class="form-group">
      <angular-editor [outerHTML]="announcementForm.controls['content'].value"
                      [config]="editorConfig"></angular-editor>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Close</button>
  </div>
</ng-template>

<ng-template #eventModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Event</h5>
    <button type="button" class="close" data-dismiss="modal" (click)="modal.dismiss()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <form [formGroup]="eventForm">
    <div class="modal-body">
      <div class="form-group row">
        <label class="col-4 col-form-label" for="title_1">Title</label>
        <div class="col-8">
          <input type="text" formControlName="title" class="form-control-plaintext" id="title_1" readonly>
        </div>
      </div>
      <div class="form-group row">
        <label class="col-4 col-form-label" for="start_1">Start</label>
        <div class="col-8">
          <input type="text" formControlName="start" class="form-control-plaintext" id="start_1" readonly>
        </div>
      </div>
      <div class="form-group row">
        <label class="col-4 col-form-label" for="end_1">End</label>
        <div class="col-8">
          <input type="text" formControlName="end" class="form-control-plaintext" id="end_1" readonly>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Close</button>
    </div>
  </form>
</ng-template>

